silo_ip_pool_list

Linked IP pools are available to users in the specified silo. A silo can have at most one default pool. IPs are allocated from the default pool when users ask for one without specifying a pool.

get/v1/system/silos/{silo}/ip-pools

Path Parameters

silo

Name or ID of the silo

Query Parameters

limit

Maximum number of items returned by a single call

page_token

Token returned by previous call to retrieve the subsequent page

sort_by

Supported set of sort modes for scanning by name or id

Responses

Object
items

list of items on this page of results

An IP pool in the context of a silo

Object
description

human-readable free-form text about a resource

id

unique, immutable, system-controlled identifier for each resource

ip_version

The IP version for the pool.

v4v6

The IP address version.

is_default

When a pool is the default for a silo, floating IPs and instance ephemeral IPs will come from that pool when no other pool is specified.

A silo can have at most one default pool per combination of pool type (unicast or multicast) and IP version (IPv4 or IPv6), allowing up to 4 default pools total.

name

unique, mutable, user-controlled identifier for each resource

Names must begin with a lower case ASCII letter, be composed exclusively of lowercase ASCII, uppercase ASCII, numbers, and '-', and may not end with a '-'. Names cannot be a UUID, but they may contain a UUID. They can be at most 63 characters long.

pool_type

Type of IP pool (unicast or multicast).

Type of IP pool.

time_created

timestamp when this resource was created

time_modified

timestamp when this resource was last modified

next_page

token used to fetch the next page of results (if any)